
#ifndef KBOLT_EXPORT_H
#define KBOLT_EXPORT_H

#ifdef KBOLT_STATIC_DEFINE
#  define KBOLT_EXPORT
#  define KBOLT_NO_EXPORT
#else
#  ifndef KBOLT_EXPORT
#    ifdef kbolt_EXPORTS
        /* We are building this library */
#      define KBOLT_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define KBOLT_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef KBOLT_NO_EXPORT
#    define KBOLT_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef KBOLT_DEPRECATED
#  define KBOLT_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef KBOLT_DEPRECATED_EXPORT
#  define KBOLT_DEPRECATED_EXPORT KBOLT_EXPORT KBOLT_DEPRECATED
#endif

#ifndef KBOLT_DEPRECATED_NO_EXPORT
#  define KBOLT_DEPRECATED_NO_EXPORT KBOLT_NO_EXPORT KBOLT_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef KBOLT_NO_DEPRECATED
#    define KBOLT_NO_DEPRECATED
#  endif
#endif

#endif /* KBOLT_EXPORT_H */
